dpkg-gencontrol(1)

NOM
dpkg-gencontrol - Créer des fichiers de contrôle Debian.

SYNOPSIS
dpkg-gencontrol [options]

DESCRIPTION
dpkg-gencontrol lit les informations contenues dans une arborescence Debian dépaquetée et crée le fichier « control » d'un paquet binaire (par défaut, c'est le fichier debian/tmp/DEBIAN/control) ; durant cette action il y a simplification des champs de relations.

Pre-Depends, Depends, Recommends et Suggests sont simplifiés dans cet ordre supprimer les dépendances qui sont connues pour être vérifié par la plus forte dépendance déjà traitée. Sont aussi supprimées toutes les auto-dépendances (dans les faits, cela supprime les dépendances qui sont déjà validées par la version du paquet déjà installé). Logiquement, il conserve les correspondances entre plusieurs dépendances dans le même paquet. L'ordre des dépendances est conservé du mieux possible : si une dépendance doit être supprimée à cause d'une autre dépendance qui se trouve dans un champs suivant, la dépendance remplaçante prendra la place de celle éliminée.

Les autre champs (Enhances, Conflicts, Breaks, Replaces et Provides) sont également simplifiés individuellement par l'analyse des différentes dépendances lorsque un paquet est indiqué plusieurs fois dans le champ.

dpkg-gencontrol ajoute aussi une entrée pour un paquet binaire dans debian/files.

OPTIONS

-vversion
    Fixe le numéro de version du paquet binaire qui sera créé.

-Vnom=valeur
    Fixe la valeur d'une variable de substitution. Consultez deb-substvars(5) pour une discussion sur la valeur de substitution.

-Tfichier/substvars
    Lecture des variables de substitution depuis substvarsfile ; la valeur par défaut est debian/substvars. Cette option peut être utilisée plusieurs fois pour lire les variables de substitution depuis plusieurs fichiers.

-Dchamp=valeur
    Remplace ou ajoute en sortie un champ dans le fichier de contrôle.

-Uchamp
    Supprime en sortie un champ dans le fichier de contrôle.

-cfichier/control
    Indique le principal fichier de contrôle des sources où trouver des renseignements. Par défaut, c'est le fichier debian/control.

-lfichier/changelog
    Indique le fichier d'enregistrement des changements où trouver des renseignements. Par défaut, c'est le fichier debian/changelog.

-ffichier/liste-des-fichiers
    Lit ou écrit la liste des fichiers qui doivent être envoyés vers l'archive dans ce fichier plutôt que dans le fichier debian/files.

-Fformat-du-changelog
    Donne le format du fichier changelog. Par défaut, c'est une ligne spéciale, près de la fin du fichier, qui l'indique ; sinon, on utilise le format classique debian.

-ppaquet
    Cette option produit les informations concernant le paquet binaire paquet.Si le fichier de contrôle des sources liste un seul paquet binaire, on peut omettre cette option ; sinon il est indispensable d'indiquer le paquet pour lequel on veut produire les informations.

-nnom-de-fichier
    Le nom du paquet est nom-de-fichier au lieu de l'habituel : paquet_version_arch.deb.

-is, -ip, -isp
    Ces options, conservées pour compatibilité avec les anciennes versions de dpkg-dev, sont maintenant déconseillées. Elles servaient à dire à dpkg-gencontrol d'inclure les champs « Section » et « Priority » dans le fichier « control ». C'est maintenant le comportement par défaut. Si vous voulez l'ancien comportement, vous pouvez utiliser l'option -U pour supprimer ces champs du fichier « control ».

-Prep-de-construction-du-paquet
    Cette option indique à dpkg-source que le répertoire de construction du paquet est rep-de-construction-du-paquet au lieu de debian/tmp. Cette valeur sert à trouver la valeur par défaut de la variable de substitution Installed-Size et celle du champ correspondant dans le fichier de contrôle (on utilise la commande du) ; elle donne aussi l'emplacement par défaut pour le fichier de sortie.

-O  Affiche le fichier de contrôle sur la sortie standard au lieu de debian/tmp/DEBIAN/control (ou rep-de-construction-du-paquet/DEBIAN/control si l'option -P a été utilisée).

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

FICHIERS

debian/control
    Le principal fichier d'information sur les sources ; il donne des renseignements qui ne dépendent pas d'une version concernant le paquet source et les paquets binaires qui peuvent être créés.

debian/files
    La liste des fichiers créés qui font partie de ceux qui seront installés sur le serveur. dpkg-gencontrol ajoute les noms présumés des fichiers des paquets binaires à partir des fichiers « control » qu'il crée.

AUTEURS
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2007-2008 Raphaël Hertzog

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.